﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;
using Telerik.Reporting;

namespace ExportWithReportProcessor
{
    class Program
    {
        static void Main(string[] args)
        {
            Telerik.Reporting.Processing.ReportProcessor reportProcessor =
    new Telerik.Reporting.Processing.ReportProcessor();

            // set any deviceInfo settings if necessary
            System.Collections.Hashtable deviceInfo =
                new System.Collections.Hashtable();

            Telerik.Reporting.UriReportSource uriReportSource =
                         new Telerik.Reporting.UriReportSource();

            uriReportSource.Uri = "Report1.trdp";
            

            Telerik.Reporting.Processing.RenderingResult result =
                reportProcessor.RenderReport("DOCX", uriReportSource, deviceInfo);

            string fileName = result.DocumentName + "." + result.Extension;
            string path = System.IO.Path.GetTempPath();
            string filePath = System.IO.Path.Combine(path, fileName);

            using (System.IO.FileStream fs = new System.IO.FileStream(filePath, System.IO.FileMode.Create))
            {
                fs.Write(result.DocumentBytes, 0, result.DocumentBytes.Length);
            }

            
        }
    }
}
